commit 1e93ebb1e17318311ff3ecde93d91b60e18a4853
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Dec 15 09:20:36 2024 +0100

    Updates for release

commit 608ca84363ee0f0ad7613a1a7b0cec930a6618b1
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Dec 1 05:45:33 2024 +0100

    Back to development

commit 703e15fa471eb3231530015c82f4edb60fc05c38
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Dec 1 05:34:51 2024 +0100

    Updates for release

commit 079e60ca2454a2d45c422478bb5e622ce98da166
Author: Anonymous <noreply@xfce.org>
Date:   Tue Nov 19 10:04:06 2024 +0100

    I18n: Update translation te (44%).
    
    11 translated messages, 14 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 303d1ab4497b16b3e420bd9ab44d94d6f65166f2
Author: Anonymous <noreply@xfce.org>
Date:   Tue Nov 19 10:04:06 2024 +0100

    I18n: Update translation lv (40%).
    
    10 translated messages, 15 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit e72e6b7a8fda7e3442f5b6c105e4a2c0c214fe79
Author: correctmost <11866-correctmost@users.noreply.gitlab.xfce.org>
Date:   Wed Nov 13 00:28:36 2024 -0500

    xdg-cache: Fix string leak in xdg_cache_cache_cleanup

commit b29cf4a822270246980e66da801b3b6093a2bd2e
Author: correctmost <11866-correctmost@users.noreply.gitlab.xfce.org>
Date:   Wed Nov 13 01:41:22 2024 -0500

    tumblerd: Fix string leaks in tumbler_manager_directory_changed

commit 623fbaa2ed59b0cf9809af01747f5887d59d9530
Author: Anonymous <noreply@xfce.org>
Date:   Sun Nov 3 00:48:49 2024 +0100

    I18n: Update translation cs (100%).
    
    25 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 6ad1c0be8ff7a3823203153b4b1dd73bbd1739b4
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Nov 1 15:10:18 2024 +0100

    Back to development

commit facb430618fd65b2dc268e4aa123539f07baace2
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Nov 1 14:45:01 2024 +0100

    Updates for release

commit 58e8e7234c1bf8e0b93313d715fa6bc60b5d3240
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Oct 2 17:31:34 2024 +0200

    build: Bump requirements for Xfce 4.20

commit eef672ae92b55b8c760c69d42f6d77229f1d1eb9
Author: Anonymous <noreply@xfce.org>
Date:   Wed Oct 2 00:47:42 2024 +0200

    I18n: Update translation pl (100%).
    
    25 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 9accba241fd2a2f2c83a8e9b022eb8404f367db5
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Sep 9 09:33:15 2024 +0200

    Apply .clang-format file

commit c7b624a4e7c337e37b46182533b30c5667cb20a3
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Sep 8 18:43:45 2024 +0200

    Sort includes

commit a93d6bfefcf94334ff53c53e8a81abfb8c3c3465
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Sep 9 09:48:01 2024 +0200

    tumbler: Add missing include guards

commit 7243e5e22b1e2862ae6780bcb7714e842393363b
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Sep 8 18:38:49 2024 +0200

    clang-format: Add file
    
    Related: apps/orage#32, xfce/xfce4-dev-tools!101

commit f2e1e3501855105b06b196a2eeefbe74ec2e4ac5
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Jul 6 16:39:48 2024 +0200

    plugins: Do not use g_file_is_native() to check for a valid path
    
    As the doc says, a file can be non-native and still have a valid path.

commit 96318634b71a2bdd3cb2c7a76d8785509decd7da
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Jul 6 16:36:12 2024 +0200

    gepub-thumbnailer: Emit error signal if file location is unsupported
    
    One more case where this plugin could emit the ready signal when there
    is no thumbnail.

commit 6adedd8f2854040bba7ec92654bd17a3f4f79d54
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Jun 25 13:46:03 2024 +0200

    gepub-thumbnailer: Fix create_from_mime()
    
    * This function should return NULL iff error is set, otherwise a "ready"
      signal can be emitted when there is no thumbnail.
    * Do not filter mime types, let gdk_pixbuf_loader_new_with_mime_type()
      do it and set error appropriately.
    * Do not report error from gdk_pixbuf_loader_close().

commit 1a0edc8619dd368b380680f289ecc1520975b404
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Jun 6 10:01:11 2024 +0200

    gcc-analyzer: Fix -Wanalyzer-fd-leak

commit 445706954273da3c55d4540cc330f8da25623a13
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Jun 6 09:10:14 2024 +0200

    scan-build: Add false positive file

commit ad96366ca011538e2dc64086944f58aa6fda9baf
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Jun 4 12:59:55 2024 +0200

    build: Use AM_DISTCHECK_CONFIGURE_FLAGS
    
    So user can extend or override the flags provided there by defining the
    DISTCHECK_CONFIGURE_FLAGS variable. Especially required since
    xfce/xfce4-dev-tools!108.

commit 3389bc5e015d43b0a237bba4a6ee1c5e797584a3
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Mar 27 13:43:55 2024 +0100

    xdg-cache: Fix and optimize xdg_cache_cache_is_thumbnail()
    
    We query this state quite often, so let's cache what we can. Also:
    * A file is a thumbnail if it's in a flavor directory, not in a
      subdirectory (although this is unlikely). So let's use
      g_file_has_parent() instead of g_file_has_prefix().
    * For shared repositories, let's also be more precise than g_strrstr().

commit b6b6e0df449d569aedf271a5d2f739ccf6002efd
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Feb 25 13:28:24 2024 +0100

    Do not use g_log_set_always_fatal()
    
    It's often confusing, even when you're used to it but have forgotten
    it's there. It's possible and more practical to use the G_DEBUG
    environment variable instead.

commit 86d8f2b20d11df5bf99121975a54eee7190e858a
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Feb 5 19:58:03 2024 +0100

    Back to development

commit 025ecfab35810c23134cacebdd9b58046b1be5ae
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Feb 5 19:57:34 2024 +0100

    Updates for release

commit e6fd2043f2132ac89ab3c292b5e195fbedc184e0
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Feb 5 19:45:12 2024 +0100

    Update copyright year

commit 6ad93792451d9f8ba3da284be748697d4b896124
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Jan 18 14:21:45 2024 +0100

    gepub-thumbnailer: Return if GBytes buffer is NULL
    
    This can happen sometimes and is an error for
    gdk_pixbuf_loader_write_bytes(), resulting in this critical warning:
    gdk_pixbuf_loader_write: assertion 'buf != NULL' failed

commit 230e62f9bea2895509d4099a59806fa10c912ca7
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Jan 11 18:34:12 2024 +0100

    build: Search for bind_textdomain_codeset in libintl too
    
    In FreeBSD bind_textdomain_codeset is provided by external package
    gettext via libintl.
    
    Related: https://gitlab.xfce.org/xfce/libxfce4util/-/issues/25

commit 77bf29c3b262abab37db65f8535f94330fa2eed6
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 27 00:47:09 2023 +0100

    I18n: Update translation cs (100%).
    
    25 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 8d86539aecbae303e8f8fb3f730c11f40d655c87
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Nov 25 16:04:15 2023 +0100

    Disambiguate thumbnailer signals
    
    Thumbnailer signals contain only the URI as original information,
    whereas the same URI can be processed for different flavors or even
    different mime types. This isn't a problem as long as requests are
    processed sequentially, but it's not necessarily the case since
    9980fc3b. More generally, these signals should return the
    TumblerFileInfo that the thumbnailers receive when a request is made, to
    remove any ambiguity when the scheduler filters the signals.
    
    Completes: 6e45f64e9a2c04301074b6a99bbb0e970562a2e8

commit 6e45f64e9a2c04301074b6a99bbb0e970562a2e8
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Nov 18 17:29:42 2023 +0100

    scheduler: Fix ready/error signal forwarding
    
    Since 9980fc3b, multiple requests can take place in parallel, although
    URIs within a single request are still processed sequentially. As
    thumbnailers are common to all requests, the ready and error signal
    for thumbnailers need to be filtered to ensure that a signal is only
    forwarded if it relates to the right request.
    
    On the one hand, this fixes duplicate signals, but it may also fix
    partial request cancellations, as in some cases g_cancellable_cancel()
    could be called on the ready signal for the wrong request (if a
    thumbnailer succeeds for a URI, the invocation of lower-priority
    thumbnailers for this URI is cancelled).
    
    Fixes: 9980fc3b8d5043f2079b4a631caf7ca23a43d4fe

commit 93bfa7646775b1f523f8f06ab6ba70361a90fda1
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Nov 18 16:26:53 2023 +0100

    desktop-thumbnailer: Use empty path to build cmdline if it is null
    
    This is probably best in general, as otherwise adding the path is simply
    ignored in desktop_thumbnailer_exec_parse(), which has the effect of
    shifting the command line parameters. It's then up to the desktop
    thumbnailer executable to correctly handle the case of an empty path,
    but at least it will have the right number of parameters.
    
    Completes: 1719ce1a47003bb755e63da6f6f3a0dee12855b7

commit 0fe6df5cba31ec4a211986edd616ee9ec7bb3260
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Nov 2 11:15:55 2023 +0100

    Update spec link in README

commit 9e1dc181738422ca22aad4a704909f3ed3b4e802
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Oct 27 19:42:52 2023 +0200

    xdg-cache: Fix temporary file management when saving thumbnail
    
    * First close output stream, then rename the file: I'm not sure how it
      worked before, probably glib worked it out internally, but it was
      wrong.
    * Delete temporary file in case of any error, not just when renaming
      failed.

commit 6cd989d8a30df33b7e0add5d475e1a800fd4a91c
Author: Anonymous <noreply@xfce.org>
Date:   Sun Jul 9 21:38:02 2023 +0200

    I18n: Update translation ca (100%).
    
    25 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit fa61d0c6bd78003a2c2196a6db0e0c74cba54e11
Author: Darin <newhoa@protonmail.com>
Date:   Sun Jun 11 07:34:15 2023 -0400

    Add icon at 64px, clean up SVG metadata
    
    This should give a cleaner look in xfce4-about > About tab with 2x UI scaling.
    Removes export path strings from SVGs, metadata which Inkscape added on export.
    
    Note:
    Inkscape has recently changed how export paths are saved, using relative
    paths, so that shouldn't be an issue in the future.

commit ff7e2dca3091ce412e2d4cd7d36ab83c04599685
Author: Anonymous <noreply@xfce.org>
Date:   Fri Jun 2 12:46:54 2023 +0200

    I18n: Update translation el (100%).
    
    25 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit bf3e437df5ae7736f7c5a536a9ffcc020262c642
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu May 4 22:43:44 2023 +0200

    I18n: Update po/LINGUAS list

commit c87ae0d8a59e3fe35b2e4b500f00270d55365829
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu May 4 21:49:40 2023 +0200

    I18n: Update po/LINGUAS list

commit 704de37b173f4a8ffee196c2cb1e34e8763b6467
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Apr 17 13:08:32 2023 +0200

    Back to development

commit 98cbe0dba5c975500bc3832a2556ea332b364faa
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Apr 17 13:08:07 2023 +0200

    Updates for release

commit c47a2b52722bb43d0717b10ba6d34dab03f646e1
Author: Błażej Szczygieł <mumei6102@gmail.com>
Date:   Sat Mar 18 00:24:40 2023 +0100

    Fix memory leak in jpeg-thumbnailer
    
    Closes #72

commit b33543c1012cd9074203cd503adeea343abc5be3
Author: Błażej Szczygieł <mumei6102@gmail.com>
Date:   Sat Mar 18 00:24:35 2023 +0100

    Fix memory leak in cover-thumbnailer
    
    Closes #72

commit 653eef6cddffc8314656b94a57c0b585ba7ea874
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Mar 11 20:18:17 2023 +0100

    build: Use m4_defined min versions and cleanup

commit b675ef1e762763af8c8541312fb6091b1439b000
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Mar 11 19:52:27 2023 +0100

    build: Use XDT_CHECK_PACKAGE_BINARY

commit fe846a1c71a4a44944c8605d6a6ba251014beabb
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Mar 11 19:50:42 2023 +0100

    build: Use XDT_VERSION_INIT

commit 584f6b0de89ea5dd8c046cdcbf27f9139b579b3b
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Mar 11 19:38:43 2023 +0100

    build: Switch from intltool to gettext
    
    Related: xfce/xfce4-dev-tools#41

commit 8e630f2834f6853a1eddc18ff1023a92fcc93fdb
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Mar 11 20:23:27 2023 +0100

    Fix previous commit
    
    Fixes: 2f16e4171d64a74fd58ac8adb5a023dfca319b2d

commit 2f16e4171d64a74fd58ac8adb5a023dfca319b2d
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Feb 19 19:09:20 2023 +0100

    cover-thumbnailer: Fix deprecation warning

commit 4b04af69f82dc3933ec695441b6111c75e2cacc8
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Feb 19 16:58:01 2023 +0100

    cleanup: tumblerd: Use G_DECLARE_FINAL_TYPE and friends

commit e24a8827b77966e083be6b029385380170a51575
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Feb 19 16:11:45 2023 +0100

    cleanup: tumbler: Use G_DECLARE_FINAL_TYPE and G_DECLARE_INTERFACE

commit 5ec7b149eca6b4852b9851e05214c98e31c17ac5
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Feb 19 13:20:16 2023 +0100

    cleanup: plugins: Use G_DECLARE_FINAL_TYPE for plugins

commit f9e3612bc80e748ccb25f6fbbeb85a34f7998626
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Feb 19 12:10:17 2023 +0100

    cleanup: plugins: Use G_DECLARE_FINAL_TYPE for providers

commit e0584ad9f9d1689a1f90fbd3076d04575c803d04
Author: Anonymous <noreply@xfce.org>
Date:   Thu Feb 2 12:47:36 2023 +0100

    I18n: Add new translation en_CA (100%).
    
    25 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit e6c0fbc25c679ce95ad2eae34a4bc8f65de5a022
Author: Anonymous <noreply@xfce.org>
Date:   Sat Jan 28 12:47:49 2023 +0100

    I18n: Update translation el (100%).
    
    25 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit a3c4cd9ebcfcc671377f09c322f4c4a98c39fc31
Author: Anonymous <noreply@xfce.org>
Date:   Fri Jan 13 12:47:32 2023 +0100

    I18n: Update translation pt (100%).
    
    25 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 3e6d8502de745a4e36c715779f71520a12607335
Author: Anonymous <noreply@xfce.org>
Date:   Mon Dec 19 12:46:33 2022 +0100

    I18n: Update translation ko (100%).
    
    25 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 8516f775438f48ede28ddba687d384862f7a4f5e
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Dec 16 16:24:10 2022 +0100

    build: Let xdt-depends.m4 macros set GLib macros

commit 0b83e5bb0e2ab0fc529ec5ecb0818aef377ff523
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Dec 15 10:00:32 2022 +0100

    Updates for release

commit 96151c1ea44f43e372622dd318388c91c55d7062
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Dec 5 20:54:13 2022 +0100

    build: Bump requirements for Xfce 4.18

commit e86965b691045ac30824ea172624b02ce4750754
Author: Anonymous <noreply@xfce.org>
Date:   Mon Dec 5 12:46:52 2022 +0100

    I18n: Update translation hu (100%).
    
    25 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 20bb4fb334a61023db71d54e2942cd8d0b259d84
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Dec 5 12:11:25 2022 +0100

    tumbler.rc: Fix typo in explanatory comment

commit 699470eac8802e7d86223c476b0ec9011e6e2b81
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Oct 31 16:45:36 2022 +0100

    Updates for release

commit d6e225244cd1d6839e2713938a5c0968aae2f682
Author: Anonymous <noreply@xfce.org>
Date:   Thu Oct 20 00:46:18 2022 +0200

    I18n: Update translation kk (100%).
    
    25 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 5ca6c869b3f7eb6897daa6618050a903567f4cbb
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Oct 17 16:35:45 2022 +0200

    desktop-thumbnailer: Avoid recursion (Fixes #67)

commit 56838f11a919b9e9b1b572844c7ededd685ccb25
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Oct 17 13:35:27 2022 +0200

    desktop-thumbnailer: allocate/free memory at the right level

commit 4675e67386acbf24695cc8f370454a3663c9866f
Author: Anonymous <noreply@xfce.org>
Date:   Tue Oct 4 14:24:23 2022 +0200

    I18n: Update translation gl (100%).
    
    25 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit b9d31b92fdd644e93483e1848d14223da130ef34
Author: Anonymous <noreply@xfce.org>
Date:   Sat Sep 17 00:47:09 2022 +0200

    I18n: Update translation ru (100%).
    
    25 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 3ddd3e940bf8b7d969f57c334e0d366f3722edd9
Author: Jakob Haufe <sur5r@debian.org>
Date:   Wed Sep 14 20:48:12 2022 +0200

    Allow libgepub 0.7 as well

commit 556bf23ff26297aeb9a33ff5c55e100344ca0d1a
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Sep 5 12:30:59 2022 +0200

    docs: Fix broken links

commit 5f9d36f559b6865ae373dcfd3097c59785e89cfa
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Sep 5 11:38:14 2022 +0200

    docs: Remove pointless sections
    
    * TUMBLER_INSIDE_TUMBLER_H -> _TUMBLER_INSIDE_TUMBLER_H

commit fea0998e7f4d9cad47c955870aa444aa228b1077
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Aug 11 17:10:35 2022 +0200

    cleanup: Do not set and free a GError unnecessarily

commit a0fc191e8ab41fe579f3333085d649fdacb2daa5
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Aug 2 15:25:43 2022 +0200

    gst-thumbnailer: Add mime type check (Fixes #65)

commit 1719ce1a47003bb755e63da6f6f3a0dee12855b7
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Jul 27 04:18:59 2022 +0200

    desktop-thumbnailer: Guard against null path
    
    It can for example be null for a file in the trash can. The working
    directory that follows is optional, and the path is only required
    afterwards if the thumbnailer command uses the `%i` field code, instead
    of `%u`. In this case, the command will fail in its own way, most likely
    gracefully.

commit 1d304f4dcd56297353d5fa7937ab591a407f6585
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Jun 19 08:59:16 2022 +0200

    Updates for release

commit 1bacb99a2725fa5eb77afc5a4b452435a0e2752a
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Jun 14 12:49:18 2022 +0200

    Yet another fix to the modification time storage format
    
    Another option would have been to keep separate guint64 and guint32
    storage internally for the integer and fractional part of the
    modification time, shifting the difficulty to string manipulations when
    restoring from disk. Ultimately, this may be safer, but it is certainly
    more cumbersome and should work that way.
    
    Related: #15, !20

commit 273c2e1db41ca0ff2e5744e969aeb7b02d3c561f
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Jun 12 10:26:24 2022 +0200

    Updates for release

commit 3c14bc244a321b771742a0f3f51b465ef40c316e
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Jun 10 20:28:04 2022 +0200

    Fix previous commit

commit 07b2e9f54cf84bdb56cea605095c2a432178fdc5
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Jun 10 19:32:13 2022 +0200

    Store modification time in locale independent format
    
    A mistake in a242e1324c7a3d1428e2a8ce58ee77c71967d8b7: the `printf()`
    function family is obviously locale dependent. So either avoid it or use
    `strtod()` for reverse conversion, which is also locale dependent.
    Clearly it is best to remain locale independent for this kind of
    information.
    
    Related: #15, !20

commit 2e1c6a9290a857b051b19d97c21c2c65cc0a0aab
Author: Stelios Tsampas <zeronebones@gmail.com>
Date:   Thu Jun 9 00:47:19 2022 +0200

    I18n: Update translation el (100%).
    
    25 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 1e9e40da3da216f838a1c188edbdf02eae38334e
Author: Wellington Almeida <wsalmeida6@gmail.com>
Date:   Tue May 3 12:47:49 2022 +0200

    I18n: Update translation pt_BR (100%).
    
    25 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 274659812efefb230063e9804a61df0d1f0b005c
Author: Anonymous <noreply@xfce.org>
Date:   Fri Apr 29 00:47:25 2022 +0200

    I18n: Update translation en_GB (100%).
    
    25 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit c667d3e701e7c4f74ce64dfdef3789d0dda17fd4
Author: Anonymous <noreply@xfce.org>
Date:   Sun Apr 24 12:48:36 2022 +0200

    I18n: Update translation ms (100%).
    
    25 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 1924a9fb5561b666ac7afd8f036694b47dd78f34
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Apr 23 16:13:51 2022 +0200

    cleanup: Fix alignment
    
    An oversight in 5affdb5ccdba711ada11f4cde7d7acc840b5a4be, but better to
    do it in a separate commit anyway.

commit 9b3ec4bbc94c287eaa6b5c9ac9ac870e8b014d64
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Mar 29 23:58:14 2022 +0200

    desktop-thumbnailer: Delete temp file at the same level it was created
    
    Fixes #57.

commit 9980fc3b8d5043f2079b4a631caf7ca23a43d4fe
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Mar 17 13:04:08 2022 +0100

    scheduler: Enable multi-threading
    
    Helps #1, although it doesn't result in generating thumbnails of a
    request in parallel. A different implementation of the group scheduler
    would be needed for that.

commit 37c8ea571897c47497ea3e1584676a823374bfe9
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Mar 17 11:37:38 2022 +0100

    i18n: Add missing initialization

commit ebaafc825af1c7fd11d3ebf37482ffe1ffc3bb69
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Mar 17 00:01:15 2022 +0100

    Fix missing mutex unlock in group scheduler
    
    Tumbler could get stuck if a previous request was cancelled because of
    this. An obsolete assert is also removed which may prevent an error
    signal from being sent.
    
    Fixes #56.

commit 86f9461d976a586f7a84876aba5249ea2468c904
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 14 00:47:22 2022 +0100

    I18n: Update translation da (100%).
    
    25 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 43694600233d71a0364af05773829f8657c7edb9
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 12 00:47:26 2022 +0100

    I18n: Update translation ru (100%).
    
    25 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 8898215b0a9c70230a75a1ec39ed1d9a19dafff5
Author: Anonymous <noreply@xfce.org>
Date:   Sun Feb 13 00:47:36 2022 +0100

    I18n: Update translation eu (100%).
    
    25 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit e6dc6801446e2757b8024503e00cef69b2e6f31b
Author: Yarema aka Knedlyk <yupadmin@gmail.com>
Date:   Sat Feb 5 00:47:16 2022 +0100

    I18n: Update translation uk (100%).
    
    25 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 7c7bd60f329e351ebdc02c5268364539d8197d29
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Jan 9 21:04:31 2022 +0100

    Rename service files according to the chosen service name prefix
    
    Completes previous commit, related to !21.

commit b075248d977a6491a6f0f63f5bc67cdb16c3a0f8
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Jan 5 20:37:31 2022 +0100

    Allow to choose an alternative service name prefix
    
    This is primarily for Flatpak packaging, where a "private service" is
    desirable, although one could imagine using it in other contexts. The
    prefix must be specified via the environment variable
    `TUMBLER_SERVICE_NAME_PREFIX`.
    
    Related to xfconf#27, see !21 for more details.

commit 724fd4465fa72a7202a97fa98850008f98272084
Author: Саша Петровић <salepetronije@gmail.com>
Date:   Sun Jan 9 12:48:08 2022 +0100

    I18n: Update translation sr (100%).
    
    25 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit cb5feb8cf76c7b2009c3d5273461da7d352d6d93
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Jan 9 10:59:43 2022 +0100

    Build: Check for best possible grep, egrep, sed
    
    In particular, $EGREP was introduced in
    d82e509551db98ff70e47d1990f759948ee7fecd whithout check.

commit 19dd29632d698360faf0559895b0b03119eb1370
Author: Anonymous <noreply@xfce.org>
Date:   Thu Jan 6 00:47:49 2022 +0100

    I18n: Update translation ro (100%).
    
    25 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 3560cf52e6f0621ed2786ef360fc97ea408ad49e
Author: Wellington Almeida <wsalmeida6@gmail.com>
Date:   Tue Jan 4 00:47:02 2022 +0100

    I18n: Update translation pt_BR (100%).
    
    25 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit b38db8a632dee2109339c3e80150ca7f94696024
Author: Martin Srebotnjak <miles@filmsi.net>
Date:   Sun Jan 2 00:47:09 2022 +0100

    I18n: Update translation sl (100%).
    
    25 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 8efa52bd31f96351d1cce2c7cddbb6302679c96a
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Jan 1 20:23:31 2022 +0100

    Updates for release

commit d3a5ca465fa7a5a19aa0c790b615cd28ab0470e3
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Jan 1 19:36:57 2022 +0100

    Update the list of authors

commit e18d041cf9c10e6c306c8ec6fef293bd57aa3a68
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Jan 1 18:46:33 2022 +0100

    Bump required gdk-pixbuf to 2.36.2
    
    To include the fix that obsoletes
    984e67ce5247a2543f0fd547b42201043c69e9b2, reverted in
    283c7045d669941f3820f3963b9de6ea3baa96ea.
    
    See also:
    https://bugzilla.xfce.org/show_bug.cgi?id=13360
    https://gitlab.gnome.org/GNOME/gdk-pixbuf/-/issues/57

commit d9a68fa14447be6f22674050820adb10208f6d71
Author: Omer I.S <omeritzicschwartz@gmail.com>
Date:   Sat Jan 1 00:47:12 2022 +0100

    I18n: Update translation he (100%).
    
    25 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 57179f80167313e2bc02f94981c66ce9b3004fcd
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Dec 29 18:49:07 2021 +0100

    Fix wrong parameters in error signal
    
    An oversight in 49ffba98d7cf9626a1470bc49a53596300fe3550.

commit 87b66b4993c2d24a1d8a7274bc211efd901be855
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Dec 29 18:18:28 2021 +0100

    Debug: Display data side-by-side when appropriate

commit df92863d7d4b8d8e22a40af2495483410e47f45b
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Dec 29 17:06:54 2021 +0100

    Debug: Write on stderr if possible

commit 5affdb5ccdba711ada11f4cde7d7acc840b5a4be
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Dec 29 16:08:18 2021 +0100

    Add support for thumbnail size x-large and xx-large
    
    Closes #51.

commit 7fdab65f7a2144a7cae4d49bea13cea3644dfc3c
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Dec 29 10:48:14 2021 +0100

    desktop-thumbnailer: Allow to override configuration in desktop files
    
    The "X-Tumbler Settings" group is searched in each desktop file with the
    same keys as in `tumbler.rc`, where the default configuration is now.
    
    Closes #52.

commit 270289b3a3f2f9ac7891f26135bae6d5e574c868
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Dec 28 19:28:10 2021 +0100

    desktop-thumbnailer: Allow for thumbnailer override
    
    By the usual rule: for a given thumbnailer name, the one placed in the
    highest priority directory overrides the others of the same name.
    
    Closes #53.

commit cd30208a015032a17df7e5038be357ef5acc1de2
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Dec 28 18:57:40 2021 +0100

    Cleanup: Avoid code duplication

commit a188f1c30f8e7c98373d620832933522ad29d14f
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Dec 28 16:20:37 2021 +0100

    Try all available thumbnailers before declaring failure
    
    The request thumbnailer array no longer contains one thumbnailer per
    URI, but the list of available thumbnailers for this URI (after applying
    the filters of the configuration file), sorted by priority.
    
    For a given URI, we browse the thumbnailer list until we succeed in
    generating a thumbnail. An error signal is only issued if the last
    thumbnailer has failed. Intermediate errors are only displayed if debug
    logging is enabled.
    
    Closes #50.

commit ad8d6ac59b20ab8ccbb3ce4d56c71d25f2a435b6
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Dec 28 13:39:07 2021 +0100

    gepub-thumbnailer: Add missing sanity check

commit 4efd70c9e26a93800091b3252ff5ace12eeb3c1f
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Dec 28 13:18:28 2021 +0100

    Use GLib structured logging
    
    The move to GLib 2.56 in b014aabd2d78472a18a9b863e51dd6f1631d78cb allows
    to use structured logging in GLib logging macros. This makes it more
    suitable for viewing via tools such as `journalctl`, and adds some
    message location information.

commit e985e8489caf66a094c8a44bceef3a71f52f98e5
Author: Anonymous <noreply@xfce.org>
Date:   Wed Dec 29 12:48:03 2021 +0100

    I18n: Update translation oc (100%).
    
    25 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 09a01fd337fec0a747953dc851d7a22235deb7dd
Author: heskjestad <cato@heskjestad.xyz>
Date:   Tue Dec 28 00:47:13 2021 +0100

    I18n: Update translation nb (100%).
    
    25 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 1c2102e590edd202e048395f66bf7ed2df71bd4e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Thu Sep 24 17:35:30 2015 +0100

    Add a corresponding systemd user service for the D-Bus session services
    
